Bug 279081 - gtk-vnc (via vinagre) does not accept keyboard input
Summary: gtk-vnc (via vinagre) does not accept keyboard input
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-09-05 18:57 UTC by Jesse Keating
Modified: 2013-01-10 02:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 19:50:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2007-09-05 18:57:09 UTC
the vinagre window will steal my keyboard and mouse, but any keyboard input,
other than things like tab, or F12, or enter, will not be shown.  I cannot enter
a password during installation, I cannot use the arrow keys at a syslinux boot
prompt (qemu vnc), etc...

Comment 1 Daniel Berrange 2007-09-07 18:45:44 UTC
For sake of reproducing this accurately can you tell me what VNC server you're
pointing to. Is it QEMU's VNC server, or are you running QEMU with its SDL
graphics and then pointing Vinagre to Anaconda's builtin  VNC server ? If the
latter what distro are you installing ?


Comment 2 Jesse Keating 2007-09-07 19:09:23 UTC
QEMU's VNC server.  For completeness, rawhide was being installed from 20070905.

Comment 3 Jeremy Katz 2007-10-23 21:39:55 UTC
Is this still a problem?

Comment 4 Jesse Keating 2007-10-25 19:50:49 UTC
Intermittent, and it may be due to my window manager.  Sometimes it stops taking
some input, like space bars and letters, but will take enter.  Sometimes I get
double mouse pointers too.  Often it's enough to break out (<ctrl><alt>) and
change desktops/change back.

I don't really have a good way of triggering it, so I'll keep an eye out for any
commonalities.


Note You need to log in before you can comment on or make changes to this bug.